Vue.component('guidance-list', {
	template: '<ul class="consultation-list">\
				<li  v-for="(list,index) in guidanceList" class="consultation-list-item" @click="viewDetail(list.id)">\
					<div class="con-user-info">\
						<p class="article-title">{{list.content}}</p>\
						<p class="user-problem">发送时间：{{list.createTime}}</p>\
					</div>\
				</li>\
			</ul>',
	data: function() {
		return {
			guidanceList: "",
			curPage:1
		}
	},
	props:["guidanceData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      title: '指导详情',
		      maxmin: true,
		      area: ['1000px', '600px'],
		      shadeClose: false,
		      content: '../html/lay_gui_article_detail.html?id='+id
		    })
		}
	},
	watch:{
		guidanceData:function(val){
			this.guidanceList=this.guidanceData;
		}
	},
	mounted: function() {
		var divH = $("#tab-iframe",parent.document).height() - 75;
		$(".consultation-list").slimScroll({ height: divH,color: '#666'});
	}
})